task colSum {
	File filtered_bnd
	File filtered_ins
	File filtered_inv
	File filtered_del
	File filtered_dup
	File voted_bnd
	File voted_ins
	File voted_inv
	File voted_del
	File voted_dup
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/colsum.py -file ${filtered_bnd} -prefix ${sample_name}.BND.filtered
		python /opt/colsum.py -file ${filtered_ins} -prefix ${sample_name}.INS.filtered
		python /opt/colsum.py -file ${filtered_inv} -prefix ${sample_name}.INV.filtered
		python /opt/colsum.py -file ${filtered_del} -prefix ${sample_name}.DEL.filtered
		python /opt/colsum.py -file ${filtered_dup} -prefix ${sample_name}.DUP.filtered
		python /opt/colsum.py -file ${voted_bnd} -prefix ${sample_name}.BND.voted
		python /opt/colsum.py -file ${voted_ins} -prefix ${sample_name}.INS.voted
		python /opt/colsum.py -file ${voted_inv} -prefix ${sample_name}.INV.voted
		python /opt/colsum.py -file ${voted_del} -prefix ${sample_name}.DEL.voted
		python /opt/colsum.py -file ${voted_dup} -prefix ${sample_name}.DUP.voted

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File filtered_bnd_sum = "${sample_name}.BND.filtered.sum.txt"
		File filtered_ins_sum = "${sample_name}.INS.filtered.sum.txt"
		File filtered_inv_sum = "${sample_name}.INV.filtered.sum.txt"
		File filtered_del_sum = "${sample_name}.DEL.filtered.sum.txt"
		File filtered_dup_sum = "${sample_name}.DUP.filtered.sum.txt"
		File voted_bnd_sum = "${sample_name}.BND.voted.sum.txt"
		File voted_ins_sum = "${sample_name}.INS.voted.sum.txt"
		File voted_inv_sum = "${sample_name}.INV.voted.sum.txt"
		File voted_del_sum = "${sample_name}.DEL.voted.sum.txt"
		File voted_dup_sum = "${sample_name}.DUP.voted.sum.txt"
	}
}
