task diffBed {
	File filtered_bed
	File voted_bed
	File diffBed_directory
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		/opt/ccdg/bedtools-2.27.1/bin/bedtools annotate -counts -i ${filtered_bed} -files ${diffBed_directory}/centro_pericentro_region.bed ${diffBed_directory}/btu356_LCR-hs38.bed ${diffBed_directory}/Homopolyer.hg38.bed ${diffBed_directory}/D5.DEL ${diffBed_directory}/D5.DUP ${diffBed_directory}/D5.INV ${diffBed_directory}/sv.del.break.point.500.bed ${diffBed_directory}/sv.dup.break.point.500.bed ${diffBed_directory}/sv.ins.break.point.500.bed ${diffBed_directory}/sv.inv.break.point.1000.bed ${diffBed_directory}/sv.tra.break.point.5000.bed > ${sample_name}.diffBed.filtered.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools annotate -counts -i ${voted_bed} -files ${diffBed_directory}/centro_pericentro_region.bed ${diffBed_directory}/btu356_LCR-hs38.bed ${diffBed_directory}/Homopolyer.hg38.bed ${diffBed_directory}/D5.DEL ${diffBed_directory}/D5.DUP ${diffBed_directory}/D5.INV ${diffBed_directory}/sv.del.break.point.500.bed ${diffBed_directory}/sv.dup.break.point.500.bed ${diffBed_directory}/sv.ins.break.point.500.bed ${diffBed_directory}/sv.inv.break.point.1000.bed ${diffBed_directory}/sv.tra.break.point.5000.bed > ${sample_name}.diffBed.voted.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File filtered_diffBed = "${sample_name}.diffBed.filtered.txt"
		File voted_diffBed = "${sample_name}.diffBed.voted.txt"
	}
}
