task mergeBed {
	Array[File] chromo_filtered_bed
	Array[File] chromo_voted_bed
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${sep=" " chromo_filtered_bed} | sort -k1,1 -k2,2n > ${sample_name}.filterd.bed

		cat ${sep=" " chromo_voted_bed} | sort -k1,1 -k2,2n > ${sample_name}.voted.bed

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File filtered_bed = "${sample_name}.filterd.bed"
		File voted_bed = "${sample_name}.voted.bed"
	}
}
