task vcf2bed {
	File vcf
	File vote_file
	String chromo
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${vcf} | grep -v '#' | grep -v '\./\.' | grep -v '0/0' | cut -f1,2,4,5,10 | sed s'/:/\t/g' | cut -f1-5 > ${sample_name}.${chromo}.all.txt

		cat ${vote_file} | awk '{ if (($5 == "./.") ||($5 == "notConsensus")) { print } }' |awk '{ if ($6 != 0) { print } }' > ${chromo}.filtered.txt

		cat ${vote_file} | awk '{ if (($5 != "./.") && ($5 != "notConsensus")) { print } }' | grep -v 'CHROM' > ${chromo}.voted.txt

		python /opt/split_filtered_voted.py -a ${sample_name}.${chromo}.all.txt -f ${chromo}.filtered.txt -v ${chromo}.voted.txt -p ${sample_name}.${chromo}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File chromo_filtered_bed = "${sample_name}.${chromo}.filtered.bed"
		File chromo_voted_bed = "${sample_name}.${chromo}.voted.bed"
	}
}
